<%@ Page Language="C#" AutoEventWireup="true" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<meta name="author" content="seiecnu@gmail.com" />
<html>
<head>
	<title>Comptanoo</title>
	<script type="text/javascript" charset="utf-8">
		if (typeof(rdcjs) == "undefined")
			_rdc = rdcjs = {};

		
		_rdc.getExpDate = function(days,hours,minutes){
			var expDate=new Date();
			if(typeof days=="number"&&typeof hours=="number"&&typeof hours=="number"){
				expDate.setDate(expDate.getDate()+parseInt(days));
				expDate.setHours(expDate.getHours()+parseInt(hours));
				expDate.setMinutes(expDate.getMinutes()+parseInt(minutes));
				return expDate.toGMTString();
			} else return "";
		}
		 
		//------------------------------------
		// getCookieVal
		_rdc.getCookieVal = function(offset){
			var endstr=document.cookie.indexOf(";",offset);
			if(endstr==-1) endstr=document.cookie.length;
			return unescape(document.cookie.substring(offset,endstr));
		}
		 
		//------------------------------------
		// getCookie
		_rdc.getCookie = function(name){
			var arg=name+"=";
			var alen=arg.length;
			var clen=document.cookie.length;
			var i=0;
			while(i<clen){
				var j=i+alen;
				if(document.cookie.substring(i,j)==arg) return _rdc.getCookieVal(j);
				i=document.cookie.indexOf(" ",i)+1;
				if(i==0)break;
			}  
			return "";
		}
		 
		//------------------------------------
		// setCookie
		_rdc.setCookie = function(name,value,expires,path,domain,secure){
			document.cookie=name+"="+escape(value)+((expires)? "; expires="+expires : "")+((path)? "; path="+path : "")+((domain)? "; domain="+domain : "")+((secure)? "; secure" : "");
		}
		 
		//------------------------------------
		// deleteCookie
		_rdc.deleteCookie = function(name,path,domain){
			if(_rdc.getCookie(name)) document.cookie=name+"="+((path)? "; path="+path : "")+((domain)? "; domain="+domain : "")+"; expires=Thu, 01-Jan-70 00:00:01 GMT";
		}
		
		_rdc.PageQuery = function(q) {
		if (q.length > 1) this.q = q.substring(1, q.length);
		else this.q = null;
		this.keyValuePairs = new Array();
		if (q) {
			for (var i = 0; i < this.q.split("&").length; i++) {
				this.keyValuePairs[i] = this.q.split("&")[i];

			}

		}
		this.getKeyValuePairs = function() {
			return this.keyValuePairs;
		}
		this.getValue = function(s) {
			for (var j = 0; j < this.keyValuePairs.length; j++) {
				if (this.keyValuePairs[j].split("=")[0] == s)
				return this.keyValuePairs[j].split("=")[1];

			}
			return false;

		}
		this.getParameters = function() {
			var a = new Array(this.getLength());
			for (var j = 0; j < this.keyValuePairs.length; j++) {
				a[j] = this.keyValuePairs[j].split("=")[0];

			}
			return a;

		}
		this.getLength = function() {
			return this.keyValuePairs.length;
		}

	}
	
	_rdc.queryString = function(key) {
		var page = new _rdc.PageQuery(window.location.search);
		return unescape(page.getValue(key));

	}
	
	
	
	
	
	
	
		
		//page methods
		function setComptanooCookie(){
			setStatus('');
			
			var cn = document.getElementById('cookieName').value.replace(/^\s+|\s+$/g,"");
			var cv = document.getElementById('cookieValue').value.replace(/^\s+|\s+$/g,"");
			
			if( cn == '' || cv == '' )
			{
				setStatus('Please fill in both Cookie Name and Cookie Value.');
				return;
			}
			
			var today = new Date();
			today.setTime( today.getTime() );
			var expires = 60 * 1000 * 60; //minute
			var ex_date = new Date( today.getTime() + (expires) )
			//alert(typeof ex_date)
			
			var path = document.getElementById('path').value;
			var domain = document.getElementById('domain').value;
			
			_rdc.setCookie( cn, cv, ex_date.toGMTString(), path, domain );
		}
		
		function setStatus( val ){
			var objStatus = document.getElementById('status');
			objStatus.innerHTML = val;
		}
	
		function displayCookie(){
			document.getElementById('content').innerHTML = document.cookie;
		}
		
		function reloadMainFrameError(){
			//alert(window.parent.location.href); //get is denied due to security issue by browsers
			window.parent.location.reload();
		}
		
		function reloadMainFrameOk(){
			var mainFrameUrl = unescape( _rdc.queryString("mainFrameUrl") );
			window.parent.location.href = mainFrameUrl;
		}
	</script>
	
	<style type="text/css" media="screen">
		body{
			font-family:Tahoma;
			font-size:12px;
			background-color:#eee;
		}
		
		input{
			border:1px solid #000;
			background-color: #FFFECD
		}
		
		#content{
			width:600px;
			height:30px;
			border:1px solid red;
			margin-bottom:10px;
		}
		
		#status{
			color:blue;
		}
	</style>
</head>

<body>
	
	
	<h2>Comptanoo Page(in iframe):</h2>
	
	<hr />
	
	<h4>For Issue 1</h4>
	<p>Cookie Content:</p>
	
	<div id="content">
		
	</div>
	
	<table>
		<tr>
			<td><label for="cookieName">Cookie Name: </label></td>
			<td><input type="text" name="cookieName" id="cookieName"/></td>
		</tr>
		<tr>
			<td><label for="cookieValue">Cookie Value: </label></td>
			<td><input type="text" name="cookieValue" id="cookieValue"/></td>
		</tr>
		<tr>
			<td><label for="path">Path: </label></td>
			<td><input type="text" name="path" id="path"/></td>
		</tr>
		<tr>
			<td><label for="domain">Domain: </label></td>
			<td><input type="text" name="domain" id="domain"/></td>
		</tr>
		<tr>
			<td><input type="button" value="Create cookie" onclick="setComptanooCookie();displayCookie();"/></td>
			<td><span id="status"></span></td>
		</tr>
	</table>

	<script type="text/javascript" charset="utf-8">
		displayCookie();
	</script>
	

	<hr />
	<h4>For Issue 2</h4>
	<a href="http://www.google.com" target="_top">load Google.com in Accor Page, just a simple link target=_top</a>
	<br />
	<br />
	<a href="javascript:void(0);" onclick="reloadMainFrameError();return false;">Click to reload Accor Page(main frame) by calling window.parent.location.reload();<span style="color:red;">will raise a permission denied error.</span></a>
	<br />
	<br />
	<a href="javascript:void(0);" onclick="reloadMainFrameOk();return false;">Using tricks( main frame passes the url of itself by query string ) to reload main frame </a>
	<br />
	<br />
	<a href="javascript:void(0);" onclick="window.location.reload();">Reload the iframe</a>
</body>
</html>
